# noautorejoin.tcl for netbots.tcl v3.30
# designed to work with eggdrop 1.4.0 or higher
# Johoho's Eggdrop Page - http://johoho.tuts.net/eggdrop/
# noautorejoin.tcl copyright (c) 1999,2000 by johoho <johoho@hojo-net.de>
# netbots.tcl copyright (c) 1998-2000 by slennox <slennox@egghelp.org>

## noautorejoin.tcl component script v1.20.2, 10.05.2000 ##

# History:
# 
# v1.00.0, 26.12.1999 - initial release, not public
# v1.20.0, 22.01.2000 - rewrote much of the code
# v1.20.1, 19.03.2000 - changed header and readme :)
# v1.20.2, 10.05.2000 - optimized code

proc ar_kick {nick uhost hand chan kicked reason} {
  global botnick ar_chans ar_echans ar_seconds
  if {$ar_chans != ""} {
    if {![lsearch -exact $ar_chans [string tolower $chan]] == -1} { return 0 }
  }
  if {$ar_echans != ""} {
    if {![lsearch -exact $ar_echans [string tolower $chan]] != -1} { return 0 }
  }
  if {[set khand [nick2hand $kicked $chan]]!="" && [matchattr $khand "b"] && [matchattr $khand o|o $chan]} {return 0}
  if {[lsearch [strlwr $ar_chans] [strlwr $chan]]<0} {return 0}
  utimer $ar_seconds "ar_do $chan $kicked"
  return 0
}

proc ar_do {chan nick} {
  global botnick
  if {![botisop $chan] || ![onchan $nick $chan]} {return 0}
  puthelp "PRIVMSG $nick :autorejoin - your're banned for a minute"
  putkick $chan $nick "no autorejoin - banned for a minute"
  newchanban $chan $nick!*@* $botnick "autorejoin" 1
}

bind kick - * ar_kick